## bino 2.1

=== CMakeLists.txt ===
# Copyright (C) 2022
# Martin Lambers <marlam@marlam.de>
#
# Copying and distribution of this file, with or without modification, are
# permitted in any medium without royalty provided the copyright notice and this
# notice are preserved. This file is offered as-is, without any warranty.

cmake_minimum_required(VERSION 3.12)
set(CMAKE_FIND_PACKAGE_SORT_ORDER NATURAL)
set(CMAKE_FIND_PACKAGE_SORT_DIRECTION DEC)
set(CMAKE_AUTOMOC ON)

project(Bino LANGUAGES CXX)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_INTERPROCEDURAL_OPTIMIZATION TRUE)

# Required: Qt6
find_package(Qt6 6.3.0 REQUIRED COMPONENTS OpenGLWidgets Multimedia LinguistTools)
# Optional: QVR for Virtual Reality support
find_package(QVR 4.0.0)
if(QVR_FOUND)
    add_definitions(-DWITH_QVR)
    include_directories(${QVR_INCLUDE_DIRS})
    link_directories(${QVR_LIBRARY_DIRS})
endif()

# The executable
add_executable(bino
	src/main.cpp src/version.hpp
	src/log.hpp src/log.cpp
	src/tools.hpp src/tools.cpp
	src/screen.hpp src/screen.cpp src/tiny_obj_loader.h
	src/modes.hpp src/modes.cpp
	src/metadata.hpp src/metadata.cpp
	src/playlist.hpp src/playlist.cpp
	src/videoframe.hpp src/videoframe.cpp
	src/videosink.hpp src/videosink.cpp
	src/bino.hpp src/bino.cpp
	src/qvrapp.hpp src/qvrapp.cpp
	src/widget.hpp src/widget.cpp
	src/commandinterpreter.hpp src/commandinterpreter.cpp
	src/playlisteditor.hpp src/playlisteditor.cpp
	src/gui.hpp src/gui.cpp
	src/appicon.rc)
qt6_add_translations(bino TS_FILES i18n/bino_de.ts i18n/bino_ka.ts)
qt6_add_resources(bino "misc" PREFIX "/" FILES
	src/shader-color.vert.glsl
	src/shader-color.frag.glsl
	src/shader-view.vert.glsl
	src/shader-view.frag.glsl
	src/shader-display.vert.glsl
	src/shader-display.frag.glsl
	src/shader-vrdevice.vert.glsl
	src/shader-vrdevice.frag.glsl
	aux/bino-logo-small.svg aux/bino-logo-small-512.png)
set_target_properties(bino PROPERTIES WIN32_EXECUTABLE TRUE)
target_link_libraries(bino PRIVATE Qt6::OpenGLWidgets Qt6::Multimedia ${QVR_LIBRARIES})
install(TARGETS bino RUNTIME DESTINATION bin)

# The manual and man page (optional, only if pandoc is found)
find_program(PANDOC NAMES pandoc DOC "pandoc executable")
if(PANDOC)
    add_custom_command(OUTPUT "${CMAKE_BINARY_DIR}/bino-manual.html"
	COMMAND ${PANDOC} "-s" "-t" "html" "--toc" "--css" "bino-manual.css" "${CMAKE_SOURCE_DIR}/doc/bino-manual.md" "-o" "${CMAKE_BINARY_DIR}/bino-manual.html"
	WORKING_DIRECTORY "${CMAKE_BINARY_DIR}"
	DEPENDS "${CMAKE_SOURCE_DIR}/doc/bino-manual.md"
	COMMENT "Generating HTML manual with pandoc" VERBATIM)
    add_custom_target(manual ALL DEPENDS "${CMAKE_BINARY_DIR}/bino-manual.html")
    install(FILES "doc/bino-manual.css" "${CMAKE_BINARY_DIR}/bino-manual.html" DESTINATION share/doc/bino)
    add_custom_command(OUTPUT "${CMAKE_BINARY_DIR}/bino.1"
	COMMAND ${PANDOC} "-s" "-t" "man" "${CMAKE_SOURCE_DIR}/doc/bino-manual.md" "-o" "${CMAKE_BINARY_DIR}/bino.1"
	WORKING_DIRECTORY "${CMAKE_BINARY_DIR}"
	DEPENDS "${CMAKE_SOURCE_DIR}/doc/bino-manual.md"
	COMMENT "Generating man page with pandoc" VERBATIM)
    add_custom_target(manpage ALL DEPENDS "${CMAKE_BINARY_DIR}/bino.1")
    install(FILES "${CMAKE_BINARY_DIR}/bino.1" DESTINATION share/man/man1)
endif()

# Add auxiliary files for Linux-ish systems
if(UNIX)
    install(FILES "aux/bino-logo-small-16.png"  RENAME "org.bino3d.bino.png" DESTINATION share/icons/hicolor/16x16/apps)
    install(FILES "aux/bino-logo-small-22.png"  RENAME "org.bino3d.bino.png" DESTINATION share/icons/hicolor/22x22/apps)
    install(FILES "aux/bino-logo-small-32.png"  RENAME "org.bino3d.bino.png" DESTINATION share/icons/hicolor/32x32/apps)
    install(FILES "aux/bino-logo-small-48.png"  RENAME "org.bino3d.bino.png" DESTINATION share/icons/hicolor/48x48/apps)
    install(FILES "aux/bino-logo-small-64.png"  RENAME "org.bino3d.bino.png" DESTINATION share/icons/hicolor/64x64/apps)
    install(FILES "aux/bino-logo-small-128.png" RENAME "org.bino3d.bino.png" DESTINATION share/icons/hicolor/128x128/apps)
    install(FILES "aux/bino-logo-small-256.png" RENAME "org.bino3d.bino.png" DESTINATION share/icons/hicolor/256x256/apps)
    install(FILES "aux/bino-logo-small-512.png" RENAME "org.bino3d.bino.png" DESTINATION share/icons/hicolor/512x512/apps)
    install(FILES "aux/bino-logo-small.svg"     RENAME "org.bino3d.bino.svg" DESTINATION share/icons/hicolor/scalable/apps)
    install(FILES "aux/org.bino3d.bino.desktop" DESTINATION share/applications)
    install(FILES "aux/org.bino3d.bino.metainfo.xml" DESTINATION share/metainfo)
endif()

## bino 1.2.0

=== debian/changelog ===
bino (1.2.0-1) unstable; urgency=low

  * Initial release (Closes: #610793)

 -- Daniel Schaal <farbing@web.de>  Fri, 09 Sep 2011 14:23:54 +0200

=== debian/control ===
Source: bino
Section: video
Priority: extra
Maintainer: Daniel Schaal <farbing@web.de>
Build-Depends:
 debhelper (>= 8.1.3),
 dh-autoreconf,
 pkg-config,
 libavcodec-dev (>= 4:0.7),
 libavformat-dev (>= 4:0.7),
 libavdevice-dev (>= 4:0.7),
 libswscale-dev (>= 4:0.7),
 libass-dev,
 libopenal-dev,
 libglew-dev,
 liblircclient-dev,
 libqt4-opengl-dev
Standards-Version: 3.9.2
Homepage: http://bino3d.org/
Vcs-Git: git://gitorious.org/farbing-packages/bino.git
Vcs-Browser: https://gitorious.org/farbing-packages/bino

Package: bino
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: 3D video player
 Bino is a video player with support for a wide variety
 of stereoscopic video layouts and formats.
 .
 Bino can display monoscopic videos, as well as
 videos with the left and right view stored either
 in separate streams or displayed side by side.
 It can output these videos for several types
 of anaglyph glasses or 3D displays.

Package: bino-dbg
Architecture: any
Section: debug
Depends: bino (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for bino 3D video player
 Bino is a video player with support for a wide variety
 of stereoscopic video layouts and formats.
 .
 Bino can display monoscopic videos, as well as
 videos with the left and right view stored either
 in separate streams or displayed side by side.
 It can output these videos for several types
 of anaglyph glasses or 3D displays.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- LDFLAGS="$(LDFLAGS) -Wl,--as-needed" --docdir=\$${datarootdir}/doc/bino/html

override_dh_strip:
	dh_strip --dbg-package=bino-dbg

override_dh_install:
	dh_install --list-missing

=== debian/watch ===
version=3
http://download.savannah.gnu.org/releases/bino/bino-([\d\.]*)\.tar\.xz

## bino 1.2.1

=== debian/changelog ===
bino (1.2.1-1) unstable; urgency=low

  * Imported Upstream version 1.2.1
  * add comment to lintian override
  * wrap-and-sort control and .install files
  * build-depend on libglew1.6-dev instead of
    virtual package libglew-dev
  * delete usr/share/info/dir from debian/tmp
  * html docs are installed in htmldir now,
    adapt configure option
  * remove fix-hyphen-used-as-minus.patch, applied upstream

 -- Daniel Schaal <farbing@web.de>  Mon, 10 Oct 2011 22:23:34 +0200

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,18 @@
 Section: video
 Priority: extra
 Maintainer: Daniel Schaal <farbing@web.de>
-Build-Depends:
- debhelper (>= 8.1.3),
- dh-autoreconf,
- pkg-config,
- libavcodec-dev (>= 4:0.7),
- libavformat-dev (>= 4:0.7),
- libavdevice-dev (>= 4:0.7),
- libswscale-dev (>= 4:0.7),
- libass-dev,
- libopenal-dev,
- libglew-dev,
- liblircclient-dev,
- libqt4-opengl-dev
+Build-Depends: debhelper (>= 8.1.3),
+               dh-autoreconf,
+               libass-dev,
+               libavcodec-dev (>= 4:0.7),
+               libavdevice-dev (>= 4:0.7),
+               libavformat-dev (>= 4:0.7),
+               libglew1.6-dev,
+               liblircclient-dev,
+               libopenal-dev,
+               libqt4-opengl-dev,
+               libswscale-dev (>= 4:0.7),
+               pkg-config
 Standards-Version: 3.9.2
 Homepage: http://bino3d.org/
 Vcs-Git: git://gitorious.org/farbing-packages/bino.git
@@ -22,7 +21,7 @@
 
 Package: bino
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: 3D video player
  Bino is a video player with support for a wide variety
  of stereoscopic video layouts and formats.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- LDFLAGS="$(LDFLAGS) -Wl,--as-needed" --htmldir=\$${docdir}/html

override_dh_strip:
	dh_strip --dbg-package=bino-dbg

override_dh_install:
	$(RM) $(CURDIR)/debian/tmp/usr/share/info/dir
	dh_install --list-missing

## bino 1.4.0

=== debian/changelog ===
bino (1.4.0-1) unstable; urgency=low

  * Imported Upstream version 1.4.0
  * Add Build-Depends on debhelper >= 9, remove lintian override
  * debian/gbp.conf: disable pristine-tar as it doesn't support xz yet.
  * debian/control:
    * update Standards-Version to 3.9.3 (no changes needed)
    * build-Depend on libglewmx-dev instead of libglew-dev
    * build-Depend on texinfo
  * debian/copyright:
    * update Format url to new canonical url
    * update for new upstream version
  * debian/watch: only consider versions with even version numbers.

 -- Daniel Schaal <farbing@web.de>  Sun, 24 Jun 2012 11:57:35 +0200

bino (1.2.1-2) unstable; urgency=low

  * explicitly disable Equalizer in configure line
  * Build-Depend on libass-dev >= 0.10.0-2,
    earlier versions are missing a dependency on libfribidi-dev.
    (Closes: #646442)

 -- Daniel Schaal <farbing@web.de>  Fri, 16 Dec 2011 22:45:38 +0100

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,20 @@
 Section: video
 Priority: extra
 Maintainer: Daniel Schaal <farbing@web.de>
-Build-Depends: debhelper (>= 8.1.3),
+Build-Depends: debhelper (>= 9),
                dh-autoreconf,
-               libass-dev,
+               libass-dev (>= 0.10.0-2),
                libavcodec-dev (>= 4:0.7),
                libavdevice-dev (>= 4:0.7),
                libavformat-dev (>= 4:0.7),
-               libglew1.6-dev,
+               libglewmx-dev,
                liblircclient-dev,
                libopenal-dev,
                libqt4-opengl-dev,
                libswscale-dev (>= 4:0.7),
-               pkg-config
-Standards-Version: 3.9.2
+               pkg-config,
+               texinfo
+Standards-Version: 3.9.3
 Homepage: http://bino3d.org/
 Vcs-Git: git://gitorious.org/farbing-packages/bino.git
 Vcs-Browser: https://gitorious.org/farbing-packages/bino

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,9 @@
 	dh $@ --parallel --with autoreconf
 
 override_dh_auto_configure:
-	dh_auto_configure -- LDFLAGS="$(LDFLAGS) -Wl,--as-needed" --htmldir=\$${docdir}/html
+	dh_auto_configure -- LDFLAGS="$(LDFLAGS) -Wl,--as-needed" \
+	                     --htmldir=\$${docdir}/html \
+	                     --without-equalizer
 
 override_dh_strip:
 	dh_strip --dbg-package=bino-dbg

=== debian/watch ===
version=3
http://download.savannah.gnu.org/releases/bino/bino-(\d+\.[24680]\.\d+)\.tar\.xz

## bino 1.4.2

=== debian/changelog ===
bino (1.4.2-1) unstable; urgency=low

  * Imported Upstream version 1.4.2
  * debian/rules:
    * make build more verbose
    * deleting usr/share/info/dir no longer necessary
    * use DEB_LDFLAGS_MAINT_APPEND instead of LDFLAGS directly.
  * debian/copyright: Update for 1.4.2.
  * debian/control:
    * Update to Standards-Version 3.9.4, no changes needed.
    * Move git repo to github.

 -- Daniel Schaal <farbing@web.de>  Wed, 01 May 2013 08:57:38 +0200

=== debian/control ===
--- 
+++ 
@@ -15,10 +15,10 @@
                libswscale-dev (>= 4:0.7),
                pkg-config,
                texinfo
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://bino3d.org/
-Vcs-Git: git://gitorious.org/farbing-packages/bino.git
-Vcs-Browser: https://gitorious.org/farbing-packages/bino
+Vcs-Git: git://github.com/schaal/bino.git
+Vcs-Browser: https://github.com/schaal/bino
 
 Package: bino
 Architecture: any

## bino 1.4.4

=== debian/changelog ===
bino (1.4.4-1build1) trusty; urgency=medium

  * No change rebuild against glew 1.10.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 02 Jan 2014 13:20:16 +0000

bino (1.4.4-1) unstable; urgency=low

  * Imported Upstream version 1.4.4
  * Update to Standards-Version 3.9.5, no changes needed
  * Add patch to share images between bino.info and html doc
  * Add patch to include-binaries to avoid "unwanted binaries" error
  * Add signature check for upstream tarball when using uscan

 -- Daniel Schaal <farbing@web.de>  Thu, 26 Dec 2013 09:52:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: bino
 Section: video
 Priority: extra
-Maintainer: Daniel Schaal <farbing@web.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Daniel Schaal <farbing@web.de>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                libass-dev (>= 0.10.0-2),
@@ -15,7 +16,7 @@
                libswscale-dev (>= 4:0.7),
                pkg-config,
                texinfo
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://bino3d.org/
 Vcs-Git: git://github.com/schaal/bino.git
 Vcs-Browser: https://github.com/schaal/bino

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --htmldir=\$${docdir}/html \
	                     --without-equalizer \
	                     --disable-silent-rules

override_dh_strip:
	dh_strip --dbg-package=bino-dbg

override_dh_install:
	dh_install --list-missing

## bino 1.6.0

=== debian/changelog ===
bino (1.6.0-1) unstable; urgency=medium

  * Imported Upstream version 1.6.0 (Closes: #757280).
  * Remove libav10 ftbfs patch, applied upstream
  * Switch to qt5
  * Update copyright file for 1.6.0

 -- Daniel Schaal <farbing@web.de>  Sat, 20 Sep 2014 09:42:32 +0200

bino (1.4.4-2) unstable; urgency=medium

  * Add patch to fix FTBFS with libav10 (Closes: #739214).

 -- Daniel Schaal <farbing@web.de>  Fri, 21 Feb 2014 07:31:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: bino
 Section: video
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Daniel Schaal <farbing@web.de>
+Maintainer: Daniel Schaal <farbing@web.de>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                libass-dev (>= 0.10.0-2),
@@ -12,7 +11,8 @@
                libglewmx-dev,
                liblircclient-dev,
                libopenal-dev,
-               libqt4-opengl-dev,
+               libqt5opengl5-dev,
+               qtbase5-dev-tools,
                libswscale-dev (>= 4:0.7),
                pkg-config,
                texinfo

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
export QT_SELECT=5

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --htmldir=\$${docdir}/html \
			     --without-equalizer \
			     --disable-silent-rules \
			     --with-qt-version=5

override_dh_strip:
	dh_strip --dbg-package=bino-dbg

override_dh_install:
	dh_install --list-missing

## bino 1.6.1

=== debian/changelog ===
bino (1.6.1-1) unstable; urgency=medium

  * Imported Upstream version 1.6.1
  * Update gbp.conf to match new gbp config style
  * Add patch to compile with -fPIC instead of -fPIE when necessary.
    (Closes: #802374)
  * Update standards-version to 3.9.6
  * Update copyright for new upstream version
  * Update my email address
  * Don't install bino.info anymore, it prevents reproducible builds.
  * Add patch to fix compilation with ffmpeg 2.9 (Closes: #803802)
    Thanks to Andreas Cadhalpun for the patch.

 -- Daniel Schaal <daniel@schaal.email>  Wed, 28 Oct 2015 17:45:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: bino
 Section: video
 Priority: extra
-Maintainer: Daniel Schaal <farbing@web.de>
+Maintainer: Daniel Schaal <daniel@schaal.email>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                libass-dev (>= 0.10.0-2),
@@ -16,7 +16,7 @@
                libswscale-dev (>= 4:0.7),
                pkg-config,
                texinfo
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://bino3d.org/
 Vcs-Git: git://github.com/schaal/bino.git
 Vcs-Browser: https://github.com/schaal/bino

=== debian/rules ===
--- 
+++ 
@@ -18,4 +18,5 @@
 	dh_strip --dbg-package=bino-dbg
 
 override_dh_install:
+	rm -f debian/tmp/usr/share/info/bino.info
 	dh_install --list-missing

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/ \
http://download.savannah.gnu.org/releases/bino/bino-(\d+\.[24680]\.\d+)\.tar\.xz

## bino 1.6.3

=== debian/changelog ===
bino (1.6.3-1build1) yakkety; urgency=medium

  * Rebuild for ffmpeg 3.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 30 Apr 2016 14:44:38 +0100

bino (1.6.3-1) unstable; urgency=medium

  * Remove bino-dbg package, rely on automatic dbgsym package
  * Imported Upstream version 1.6.2
  * Imported Upstream version 1.6.3
    * fixes compilation with g++-6 (Closes: #811630)
  * Remove use-fPIC.patch, merged upstream
  * Always use debian/tmp
  * Use https url for Vcs-Git
  * Update standards-version, no changes needed

 -- Daniel Schaal <daniel@schaal.email>  Mon, 15 Feb 2016 05:41:22 +0100

=== debian/control ===
--- 
+++ 
@@ -16,9 +16,9 @@
                libswscale-dev (>= 4:0.7),
                pkg-config,
                texinfo
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://bino3d.org/
-Vcs-Git: git://github.com/schaal/bino.git
+Vcs-Git: https://github.com/schaal/bino.git
 Vcs-Browser: https://github.com/schaal/bino
 
 Package: bino
@@ -33,19 +33,3 @@
  in separate streams or displayed side by side.
  It can output these videos for several types
  of anaglyph glasses or 3D displays.
-
-Package: bino-dbg
-Architecture: any
-Section: debug
-Depends: bino (= ${binary:Version}), ${misc:Depends}
-Description: debugging symbols for bino 3D video player
- Bino is a video player with support for a wide variety
- of stereoscopic video layouts and formats.
- .
- Bino can display monoscopic videos, as well as
- videos with the left and right view stored either
- in separate streams or displayed side by side.
- It can output these videos for several types
- of anaglyph glasses or 3D displays.
- .
- This package contains the debugging symbols.

=== debian/rules ===
--- 
+++ 
@@ -14,9 +14,6 @@
 			     --disable-silent-rules \
 			     --with-qt-version=5
 
-override_dh_strip:
-	dh_strip --dbg-package=bino-dbg
-
-override_dh_install:
+override_dh_auto_install:
+	dh_auto_install --tmpdir=debian/tmp
 	rm -f debian/tmp/usr/share/info/bino.info
-	dh_install --list-missing

## bino 1.6.5

=== debian/changelog ===
bino (1.6.5-1) unstable; urgency=medium

  * New upstream version 1.6.5 (Closes: #847550)
  * Use dh compat 10
  * Remove ffmpeg_2.9.patch, fixed upstream
  * Use https for copyright Format link
  * Remove versioned dependency to ffmpeg
  * Update standards-version to 3.9.8
  * Update copyright

 -- Daniel Schaal <daniel@schaal.email>  Fri, 16 Dec 2016 20:43:03 +0100

=== debian/control ===
Source: bino
Maintainer: Daniel Schaal <daniel@schaal.email>
Section: video
Priority: extra
Build-Depends: debhelper (>= 10),
               libass-dev,
               libavcodec-dev,
               libavdevice-dev,
               libavformat-dev,
               libglewmx-dev,
               liblircclient-dev,
               libopenal-dev,
               libqt5opengl5-dev,
               qtbase5-dev-tools,
               libswscale-dev,
               pkg-config,
               texinfo
Standards-Version: 3.9.8
Vcs-Browser: https://github.com/schaal/bino
Vcs-Git: https://github.com/schaal/bino.git
Homepage: http://bino3d.org/

Package: bino
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: 3D video player
 Bino is a video player with support for a wide variety
 of stereoscopic video layouts and formats.
 .
 Bino can display monoscopic videos, as well as
 videos with the left and right view stored either
 in separate streams or displayed side by side.
 It can output these videos for several types
 of anaglyph glasses or 3D displays.

## bino 1.6.6

=== debian/changelog ===
bino (1.6.6-1) unstable; urgency=medium

  * Build-Depend on libqt5opengl5-desktop-dev to
    prevent build attempts on architectures
    without desktop gl support
  * Change priority from extra to optional
  * Add travis configuration
  * Move upstream signing keys to debian/upstream/
  * Update upstream signing key
  * New upstream version 1.6.6
  * Build-depend on plain libglew instead of libglewmx
  * Use debhelper compat 11
  * Update copyright
  * Use https links
  * Update policy version to 4.1.3

 -- Daniel Schaal <daniel@schaal.email>  Sat, 20 Jan 2018 11:47:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,24 @@
 Source: bino
 Maintainer: Daniel Schaal <daniel@schaal.email>
 Section: video
-Priority: extra
-Build-Depends: debhelper (>= 10),
+Priority: optional
+Build-Depends: debhelper (>= 11),
                libass-dev,
                libavcodec-dev,
                libavdevice-dev,
                libavformat-dev,
-               libglewmx-dev,
+               libglew-dev,
                liblircclient-dev,
                libopenal-dev,
-               libqt5opengl5-dev,
+               libqt5opengl5-desktop-dev,
                qtbase5-dev-tools,
                libswscale-dev,
                pkg-config,
                texinfo
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Vcs-Browser: https://github.com/schaal/bino
 Vcs-Git: https://github.com/schaal/bino.git
-Homepage: http://bino3d.org/
+Homepage: https://bino3d.org/
 
 Package: bino
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export QT_SELECT=5
 
 %:
-	dh $@ --parallel --with autoreconf
+	dh $@ --parallel
 
 override_dh_auto_configure:
 	dh_auto_configure -- --htmldir=\$${docdir}/html \

## bino 2.1

=== debian/changelog ===
bino (2.1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:34:39 +1100

bino (2.1-1build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 01:50:25 +0000

bino (2.1-1) unstable; urgency=medium

  * QA upload.
  * Switch from liblircclient-dev to liblirc-dev (Closes: #1059974)
  * New upstream releases (Closes: #1035548)
    - this fixes gcc-11 gcc-12 and newer ffmpeg related build failures
  * Drop all patches, upstream
  * Drop hacks in rules file
  * Switch to qt6
  * Update docs and doc-base html, updated upstream
  * Switch to pandoc
  * Switch to std-version 4.6.2
  * Switch to cmake
  * Drop VCS fields
  * Update upstream key

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 04 Jan 2024 11:32:05 +0100

bino (1.6.8-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Drop custom source compression.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields:
    Bug-Submit (from ./configure), Repository, Repository-Browse.

  [ Daniel Schaal ]
  * Orphan the package, set maintainer to Debian QA Group
  * New upstream version 1.6.8 (Closes: #983990)
  * Remove obsolete patch
  * Update dh compat to 13
  * Update Standards-Version to 4.6.0
  * Update watch file (Closes: #997042)

 -- Daniel Schaal <daniel@schaal.email>  Tue, 28 Dec 2021 07:35:13 +0100

bino (1.6.6-3) unstable; urgency=medium

  * Use https url in watch file
  * Update Standards-Version to 4.1.4
  * Remove --parallel argument, enabled by default now
  * Enable all hardening options

 -- Daniel Schaal <daniel@schaal.email>  Mon, 11 Jun 2018 06:55:20 +0200

bino (1.6.6-2) unstable; urgency=medium

  * Fix FTBFS with FFmpeg 4.0.
    Thanks to James Cowgill <jcowgill@debian.org> (Closes: #888358)

 -- Daniel Schaal <daniel@schaal.email>  Wed, 30 May 2018 07:29:22 +0200

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,28 @@
 Source: bino
-Maintainer: Daniel Schaal <daniel@schaal.email>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
 Section: video
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: cmake,
+               debhelper-compat (= 13),
                libass-dev,
                libavcodec-dev,
                libavdevice-dev,
                libavformat-dev,
                libglew-dev,
-               liblircclient-dev,
+               liblirc-dev,
                libopenal-dev,
-               libqt5opengl5-desktop-dev,
-               qtbase5-dev-tools,
+               qt6-base-dev,
+               qt6-base-dev-tools,
+               qt6-multimedia-dev,
+               qt6-tools-dev,
                libswscale-dev,
                pkg-config,
-               texinfo
-Standards-Version: 4.1.3
-Vcs-Browser: https://github.com/schaal/bino
-Vcs-Git: https://github.com/schaal/bino.git
+               pandoc,
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
+#Vcs-Browser: https://github.com/schaal/bino
+#Vcs-Git: https://github.com/schaal/bino.git
 Homepage: https://bino3d.org/
 
 Package: bino

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s%$%.sig%" https://bino3d.org/download.html https://bino3d.org/releases/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## bino 2.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2022
+# Copyright (C) 2022, 2023, 2024
 # Martin Lambers <marlam@marlam.de>
 #
 # Copying and distribution of this file, with or without modification, are
@@ -16,9 +16,9 @@
 set(CMAKE_INTERPROCEDURAL_OPTIMIZATION TRUE)
 
 # Required: Qt6
-find_package(Qt6 6.3.0 REQUIRED COMPONENTS OpenGLWidgets Multimedia LinguistTools)
+find_package(Qt6 6.4.0 REQUIRED COMPONENTS OpenGLWidgets Multimedia LinguistTools)
 # Optional: QVR for Virtual Reality support
-find_package(QVR 4.0.0)
+find_package(QVR 4.1.0 QUIET)
 if(QVR_FOUND)
     add_definitions(-DWITH_QVR)
     include_directories(${QVR_INCLUDE_DIRS})
@@ -42,8 +42,10 @@
 	src/commandinterpreter.hpp src/commandinterpreter.cpp
 	src/playlisteditor.hpp src/playlisteditor.cpp
 	src/gui.hpp src/gui.cpp
+	src/urlloader.hpp src/urlloader.cpp
+	src/digestiblemedia.hpp src/digestiblemedia.cpp
 	src/appicon.rc)
-qt6_add_translations(bino TS_FILES i18n/bino_de.ts i18n/bino_ka.ts)
+qt6_add_translations(bino TS_FILES i18n/bino_de.ts i18n/bino_ka.ts i18n/bino_zh.ts)
 qt6_add_resources(bino "misc" PREFIX "/" FILES
 	src/shader-color.vert.glsl
 	src/shader-color.frag.glsl
@@ -53,7 +55,7 @@
 	src/shader-display.frag.glsl
 	src/shader-vrdevice.vert.glsl
 	src/shader-vrdevice.frag.glsl
-	aux/bino-logo-small.svg aux/bino-logo-small-512.png)
+	res/bino-logo-small.svg res/bino-logo-small-512.png)
 set_target_properties(bino PROPERTIES WIN32_EXECUTABLE TRUE)
 target_link_libraries(bino PRIVATE Qt6::OpenGLWidgets Qt6::Multimedia ${QVR_LIBRARIES})
 install(TARGETS bino RUNTIME DESTINATION bin)
@@ -79,15 +81,26 @@
 
 # Add auxiliary files for Linux-ish systems
 if(UNIX)
-    install(FILES "aux/bino-logo-small-16.png"  RENAME "org.bino3d.bino.png" DESTINATION share/icons/hicolor/16x16/apps)
-    install(FILES "aux/bino-logo-small-22.png"  RENAME "org.bino3d.bino.png" DESTINATION share/icons/hicolor/22x22/apps)
-    install(FILES "aux/bino-logo-small-32.png"  RENAME "org.bino3d.bino.png" DESTINATION share/icons/hicolor/32x32/apps)
-    install(FILES "aux/bino-logo-small-48.png"  RENAME "org.bino3d.bino.png" DESTINATION share/icons/hicolor/48x48/apps)
-    install(FILES "aux/bino-logo-small-64.png"  RENAME "org.bino3d.bino.png" DESTINATION share/icons/hicolor/64x64/apps)
-    install(FILES "aux/bino-logo-small-128.png" RENAME "org.bino3d.bino.png" DESTINATION share/icons/hicolor/128x128/apps)
-    install(FILES "aux/bino-logo-small-256.png" RENAME "org.bino3d.bino.png" DESTINATION share/icons/hicolor/256x256/apps)
-    install(FILES "aux/bino-logo-small-512.png" RENAME "org.bino3d.bino.png" DESTINATION share/icons/hicolor/512x512/apps)
-    install(FILES "aux/bino-logo-small.svg"     RENAME "org.bino3d.bino.svg" DESTINATION share/icons/hicolor/scalable/apps)
-    install(FILES "aux/org.bino3d.bino.desktop" DESTINATION share/applications)
-    install(FILES "aux/org.bino3d.bino.metainfo.xml" DESTINATION share/metainfo)
+    install(FILES "res/bino-logo-small-16.png"  RENAME "org.bino3d.bino.png" DESTINATION share/icons/hicolor/16x16/apps)
+    install(FILES "res/bino-logo-small-22.png"  RENAME "org.bino3d.bino.png" DESTINATION share/icons/hicolor/22x22/apps)
+    install(FILES "res/bino-logo-small-32.png"  RENAME "org.bino3d.bino.png" DESTINATION share/icons/hicolor/32x32/apps)
+    install(FILES "res/bino-logo-small-48.png"  RENAME "org.bino3d.bino.png" DESTINATION share/icons/hicolor/48x48/apps)
+    install(FILES "res/bino-logo-small-64.png"  RENAME "org.bino3d.bino.png" DESTINATION share/icons/hicolor/64x64/apps)
+    install(FILES "res/bino-logo-small-128.png" RENAME "org.bino3d.bino.png" DESTINATION share/icons/hicolor/128x128/apps)
+    install(FILES "res/bino-logo-small-256.png" RENAME "org.bino3d.bino.png" DESTINATION share/icons/hicolor/256x256/apps)
+    install(FILES "res/bino-logo-small-512.png" RENAME "org.bino3d.bino.png" DESTINATION share/icons/hicolor/512x512/apps)
+    install(FILES "res/bino-logo-small.svg"     RENAME "org.bino3d.bino.svg" DESTINATION share/icons/hicolor/scalable/apps)
+    install(FILES "res/org.bino3d.bino.desktop" DESTINATION share/applications)
+    install(FILES "res/org.bino3d.bino.metainfo.xml" DESTINATION share/metainfo)
 endif()
+
+if (QVR_FOUND)
+    message(STATUS "Build Bino with QVR support: YES")
+else()
+    message(STATUS "Build Bino with QVR support: NO")
+endif()
+if (PANDOC)
+    message(STATUS "Build manual and man page with pandoc: YES")
+else()
+    message(STATUS "Build manual and man page with pandoc: NO")
+endif()

=== debian/changelog ===
bino (2.3-1) unstable; urgency=medium

  * QA upload.

  * New upstream version 2.3
  * Adjusted qt6-* build depend to require >= 6.3.0, as the new upstream
    reduced the requirement.
  * Updated d/copyright with new upstream Appstream metadata XML location.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 14 Oct 2024 08:00:50 +0200

bino (2.2-1) unstable; urgency=medium

  * QA upload.

  * New upstream version 2.2.
  * Corrected d/watch to use working upstream URL.
  * Adjust qt6-* build depend to require >= 6.6.0, as the requested by
    cmake in v2.2.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 13 Oct 2024 11:07:49 +0200

bino (2.1-2) unstable; urgency=medium

  * QA upload.

  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.6.2 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Replaced obsolete pkg-config build dependency with pkgconf.
  * Re-export upstream signing key without extra signatures.
  * Dropped hardcoded xz compression in d/gbp.conf, upstream switched to gz.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 13 Oct 2024 10:47:12 +0200

=== debian/control ===
Source: bino
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: video
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               libass-dev,
               libavcodec-dev,
               libavdevice-dev,
               libavformat-dev,
               libglew-dev,
               liblirc-dev,
               libopenal-dev,
               libswscale-dev,
               pandoc,
               pkgconf,
               qt6-base-dev (>= 6.4.0~),
               qt6-base-dev-tools (>= 6.4.0~),
               qt6-multimedia-dev (>= 6.4.0~),
               qt6-tools-dev (>= 6.4.0~),
Rules-Requires-Root: no
Standards-Version: 4.7.0
#Vcs-Browser: https://github.com/schaal/bino
#Vcs-Git: https://github.com/schaal/bino.git
Homepage: https://bino3d.org/
Vcs-Browser: https://salsa.debian.org/debian/bino
Vcs-Git: https://salsa.debian.org/debian/bino.git

Package: bino
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: 3D video player
 Bino is a video player with support for a wide variety
 of stereoscopic video layouts and formats.
 .
 Bino can display monoscopic videos, as well as
 videos with the left and right view stored either
 in separate streams or displayed side by side.
 It can output these videos for several types
 of anaglyph glasses or 3D displays.

## bino 2.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2022, 2023, 2024
+# Copyright (C) 2022, 2023, 2024, 2025
 # Martin Lambers <marlam@marlam.de>
 #
 # Copying and distribution of this file, with or without modification, are
@@ -16,7 +16,7 @@
 set(CMAKE_INTERPROCEDURAL_OPTIMIZATION TRUE)
 
 # Required: Qt6
-find_package(Qt6 6.4.0 REQUIRED COMPONENTS OpenGLWidgets Multimedia LinguistTools)
+find_package(Qt6 6.6.0 REQUIRED COMPONENTS OpenGLWidgets Multimedia LinguistTools)
 # Optional: QVR for Virtual Reality support
 find_package(QVR 4.1.0 QUIET)
 if(QVR_FOUND)

=== debian/changelog ===
bino (2.5-1) unstable; urgency=medium

  * Adoption of package. (Closes: #1002720)
  * New upstream version, 2.5.
  * 'd/control':
    - Update 'Standards-Version' to 4.7.2, no changes required.
    - Add myself as maintainer.
    - Remove versioned 'Build-Depends'.
  * Add Salsa CI 'salsa-ci.yml' file.

 -- Phil Wyett <philip.wyett@kathenas.org>  Thu, 20 Mar 2025 03:17:15 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: bino
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Phil Wyett <philip.wyett@kathenas.org>
 Section: video
 Priority: optional
 Build-Depends: cmake,
@@ -14,12 +14,12 @@
                libswscale-dev,
                pandoc,
                pkgconf,
-               qt6-base-dev (>= 6.4.0~),
-               qt6-base-dev-tools (>= 6.4.0~),
-               qt6-multimedia-dev (>= 6.4.0~),
-               qt6-tools-dev (>= 6.4.0~),
+               qt6-base-dev,
+               qt6-base-dev-tools,
+               qt6-multimedia-dev,
+               qt6-tools-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 #Vcs-Browser: https://github.com/schaal/bino
 #Vcs-Git: https://github.com/schaal/bino.git
 Homepage: https://bino3d.org/

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s%$%.sig%" https://bino3d.org/download/ https://bino3d.org/releases/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
